
#include "stdafx.h"
#include "Game.h"

const int g_texDet = TM_LINEAR;

void LoadPostavSpec()
{
	TM.SetAlphaRozmezi(0);
	TM.SetColorAlpha(0, 255, 0);
	g_specTextures[0] = TM.AddTexture("Data/Gfx/Postavy/DevilCH.BMP", g_texDet);
	g_specTextures[1] = TM.AddTexture("Data/Gfx/Postavy/DevilSM.BMP", g_texDet);
	g_specTextures[2] = TM.AddTexture("Data/Gfx/Postavy/DevilUT.BMP", g_texDet);

	g_specTextures[3] = TM.AddTexture("Data/Gfx/Postavy/TrollCH.bmp", g_texDet);
	g_specTextures[4] = TM.AddTexture("Data/Gfx/Postavy/TrollSM.bmp", g_texDet);
	g_specTextures[5] = TM.AddTexture("Data/Gfx/Postavy/TrollUT.bmp", g_texDet);
}

void LoadPostav1()
{
	// Loading postav //
	TM.SetAlphaRozmezi(0);
	// DOBRI - lehkej vojak
	TM.SetColorAlpha(106, 76, 48);
	g_JedTextures[0] = TM.AddTexture("Data/Gfx/Postavy/Dvojak_chuze.BMP", g_texDet);
	g_JedTextures[1] = TM.AddTexture("Data/Gfx/Postavy/Dvojak_smrt.BMP", g_texDet);
	g_JedTextures[2] = TM.AddTexture("Data/Gfx/Postavy/DVojak_utok.BMP", g_texDet);
	// ZLY - lehka jednotka
	TM.SetColorAlpha(106, 76, 48);
	g_JedTextures[6] = TM.AddTexture("Data/Gfx/Postavy/Kostlivec_Chuze.bmp", g_texDet);
	g_JedTextures[7] = TM.AddTexture("Data/Gfx/Postavy/Kostlivec_Smrt.bmp", g_texDet);
	g_JedTextures[8] = TM.AddTexture("Data/Gfx/Postavy/Kostlivec_Utok.bmp", g_texDet);
}

void LoadPostav2()
{
	TM.SetAlphaRozmezi(0);
	// ZLY - tezka jednotka
	TM.SetColorAlpha(105, 74, 46);
	g_JedTextures[9] = TM.AddTexture("Data/Gfx/Postavy/ZTvojak_chuze.BMP", g_texDet);
	g_JedTextures[10] = TM.AddTexture("Data/Gfx/Postavy/ZTvojak_smrt.BMP", g_texDet);
	g_JedTextures[11] = TM.AddTexture("Data/Gfx/Postavy/ZTvojak_utok.BMP", g_texDet);
	// DOBRI - tezkej vojak
	TM.SetColorAlpha(111, 79, 51);
	g_JedTextures[3] = TM.AddTexture("Data/Gfx/Postavy/DTvojak_chuze.BMP", g_texDet);
	g_JedTextures[4] = TM.AddTexture("Data/Gfx/Postavy/DTvojak_smrt.BMP", g_texDet);
	g_JedTextures[5] = TM.AddTexture("Data/Gfx/Postavy/DTvojak_utok.BMP", g_texDet);
}

void LoadPostav3()
{
	TM.SetAlphaRozmezi(0);
	// DOBRI, ZLY 3 - strelec
	TM.SetColorAlpha(105, 74, 46);
	g_JedTextures[15] = TM.AddTexture("Data/Gfx/Postavy/ArcherCH.BMP", g_texDet);
	g_JedTextures[16] = TM.AddTexture("Data/Gfx/Postavy/ArcherS.BMP", g_texDet);
	g_JedTextures[17] = TM.AddTexture("Data/Gfx/Postavy/ArcherU.BMP", g_texDet);
}

void LoadPostav4()
{
	TM.SetAlphaRozmezi(0);
	// DOBRI - KATAPULT //
	TM.SetColorAlpha(255, 0, 255);
	g_JedTextures[12] = TM.AddTexture("Data/Gfx/Postavy/KD_Pohyb.BMP", g_texDet);
	g_JedTextures[13] = TM.AddTexture("Data/Gfx/Postavy/KD_Smrt.BMP", g_texDet);
	g_JedTextures[14] = TM.AddTexture("Data/Gfx/Postavy/KD_Utok.BMP", g_texDet);
	// KATAPULT - ZLY
	TM.SetColorAlpha(255, 0, 255);
	g_JedTextures[18] = TM.AddTexture("Data/Gfx/Postavy/KZ_Pohyb.BMP", g_texDet);
	g_JedTextures[19] = TM.AddTexture("Data/Gfx/Postavy/KZ_Smrt.BMP", g_texDet);
	g_JedTextures[20] = TM.AddTexture("Data/Gfx/Postavy/KZ_Utok.BMP", g_texDet);
}

void LoadPostav5()
{
	TM.SetAlphaRozmezi(0);
	// DOBRI - MAG //
	TM.SetColorAlpha(255, 0, 255);
	g_JedTextures[21] = TM.AddTexture("Data/Gfx/Postavy/DCarodej_chuze.BMP", g_texDet);
	g_JedTextures[22] = TM.AddTexture("Data/Gfx/Postavy/DCarodej_smrt.BMP", g_texDet);
	g_JedTextures[23] = TM.AddTexture("Data/Gfx/Postavy/DCarodej_utok.BMP", g_texDet);
	// ZLY - MAG //
	TM.SetColorAlpha(255, 0, 255);
	g_JedTextures[24] = TM.AddTexture("Data/Gfx/Postavy/ZCarodej_chuze.BMP", g_texDet);
	g_JedTextures[25] = TM.AddTexture("Data/Gfx/Postavy/ZCarodej_smrt.BMP", g_texDet);
	g_JedTextures[26] = TM.AddTexture("Data/Gfx/Postavy/ZCarodej_utok.BMP", g_texDet);
}
